# Visualization
TKService
MFT

# MFT Class Reference

This package contains a Meta Font toolkit and utilities.
1) Enable to creates MDTV outline fonts from others specific fonts
(i.e: PostScript fonts,Euclid3 fonts,...)
2) Enable to retrieves a string or extended string
outline vector list according of the current font and
text attribs :
(policy,size,slant,orientation and curve precision)
3) Enable to retrieve policy or text attribs
(i.e: Foundry,Family,..,font or text size).
.

`#include <MFT.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Private Member Functions

static Standard_EXPORT Standard_CString | Convert (const MFT_TypeOfCommand aCommandType)
| Converts the type of command to string. .
static Standard_EXPORT Standard_CString | Convert (const MFT_TypeOfValue aValueType)
| Converts the type of value to string. .

## Member Function Documentation

static Standard_EXPORT Standard_CString MFT::Convert | ( | const MFT_TypeOfValue | aValueType | ) | `[static, private]`

static Standard_EXPORT Standard_CString MFT::Convert | ( | const MFT_TypeOfCommand | aCommandType | ) | `[static, private]`

void MFT::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MFT::operator new | ( | size_t | size | ) | `[inline]`

void* MFT::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MFT.hxx